/*name:        portfolio.
description: it is used to give information to other so other connected eaisly.
input:       there is no input for portfolio.
output:      You get information of me when open my portfolio.
usage:       use to get information
example:     portfolio*/
*{
    margin : 0;
    padding: 0;
}


/*==========================================================================
welcom box
==========================================================================*/
#welcom{
    background-color : blue;
    height : 100px;
    width  : 100%;
}


/*==========================================================================
hedding of welcom box
==========================================================================*/
#welcom h1{
    padding-top: 30px;
}

/*menu bar class*/
.menu_bar{
    background-color:#333;
    height : 40px;
    width  : 100%;
    overflow: hidden;
}


/* Style the links inside the navigation bar */
.menu_bar a {
    float: left;
    color: #f2f2f2;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    font-size: 17px;
  }
  
  
  /* Change the color of links on hover */
  .menu_bar a:hover {
    background-color: #ddd;
    color: black;
  }
  
  /* Add a color to the active/current link */
  .menu_bar a.active {
    background-color: #4CAF50;
    color: white;
  }


/*==========================================================================
image block
==========================================================================*/
#image{
    height: 450px;
    width : 100%;
    text-align : center;
}

/*==========================================================================
image of image block
==========================================================================*/
#image img{
    height: 450px;
    width : 30%;
}

/*table class*/
table {
    font-family: arial, sans-serif;
    border-collapse: collapse;
    width: 69.6%;
  }
  
  th,td{
    text-align: center;
    padding: 8px;
    font-size: 30px;
    
  }
  
  tr:nth-child(even) {
    background-color: #dddddd;
  }
  
 /*==========================================================================
data class
========================================================================*/

#data{
    height : 500px;
    width : 69.66%;
    margin-left: 0;
    text-align: center;
    text-align: start;
}


/*for education*/
* {
	box-sizing: border-box;
   }

/*==========================================================================
row class
==========================================================================*/
.row::after {
  content: "";
  clear: both;
  display: table;
}

/*container class*/
.contain {
	float : left;
  position: relative;
  width: 25%;
  max-width: 300px;
  padding : 10px;
}

/*image class inside row class*/
.image {
  display: block;
  width: 100%;
  height: auto;
}

/*overlay class*/
.overlay {
  position: absolute; 
  bottom: 0; 
  background: rgb(0, 0, 0);
  background: rgba(0, 0, 0, 0.5); /* Black see-through */
  color: #f1f1f1; 
  width: 100%;
  transition: .5s ease;
  opacity:0;
  color: white;
  font-size: 20px;
  padding: 20px;
  text-align: center;
}

/*hover class*/
.contain:hover .overlay {
  opacity: 1;
}
/*for skills*/

* {
	box-sizing: border-box
   }

.cont {
  width: 100%;
  background-color: #ddd;
}

.skills {
  text-align: right;
  padding: 5px;
  color: white;
}

.c {
	width: 90%; 
	background-color: #4CAF50;
	}
.cpp {
	width: 60%; 
	background-color: #4CAF50;
	}
.java {
	width: 90%; 
	background-color: #4CAF50;
	}
.python {
	width: 60%; 
	background-color: #4CAF50;
	}
.hc {
	width: 80%; 
	background-color: #4CAF50;
	}
.daa {
	width: 95%; 
	background-color: #4CAF50;
	}
/*for contact */

body {
	font-family: Arial, Helvetica, sans-serif
	}
* {
	box-sizing: border-box;
  }

input[type=text], select, textarea {
  width: 100%;
  padding: 12px;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box;
  margin-top: 6px;
  margin-bottom: 16px;
  resize: vertical;
}

input[type=submit] {
  background-color: #4CAF50;
  color: white;
  padding: 12px 20px;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}

input[type=submit]:hover {
  background-color: #45a049;
}

/*container class*/
.container {
  border-radius: 5px;
  background-color: #f2f2f2;
  padding: 20px;
}